Page MenuHomePhabricator

Integrate Buster 10.1 point update
Closed, ResolvedPublic

Description

The buster 10.1 point release brings a number of bugfixes (including some security fixes):
https://lists.debian.org/debian-announce/2019/msg00005.html

Use this ticket to track the respective updates across the cluster. I've verified that all removed packages are not in use in our infrastructure.

  • babeltrace
  • base-files
  • bzip2
  • console-setup
  • cryptsetup
  • cups
  • e2fsprogs
  • facter
  • firmware-nonfree
  • gdb
  • glib2.0
  • gnupg2
  • initramfs-tools
  • libxslt
  • linux
  • linux-latest
  • linux-signed-amd64
  • mariadb-10.3
  • ncurses
  • nss
  • openldap
  • postgresql-common
  • pulseaudio
  • reportbug
  • systemd
  • tzdata
  • unzip
  • usb.ids

These are unused by us:

  • acme-tiny
  • android-sdk-meta
  • asterisk
  • backup-manager
  • basez
  • bro
  • cacti
  • calamares-settings-debian
  • ceph
  • clamav
  • cloudkitty
  • dbconfig-common
  • debian-edu-config
  • debian-edu-doc
  • dehydrated
  • devscripts
  • dma
  • dpdk
  • dput-ng
  • enigmail
  • epiphany-browser
  • erlang-p1-pkix
  • fdroidserver
  • fig2dev
  • freeorion
  • fuse-emulator
  • fusiondirectory
  • gcab
  • gnome-bluetooth
  • gnome-control-center
  • gnuplot
  • gosa
  • hfst
  • jython
  • lacme
  • libblockdev
  • libdatetime-timezone-perl
  • libsdl2-image
  • libtk-img
  • lttv
  • libjavascript-beautifier-perl
  • linux-signed-arm64
  • linux-signed-i386
  • mapproxy
  • musescore
  • ncbi-tools6
  • netdata
  • newsboat
  • nextcloud-desktop
  • node-lodash
  • node-mixin-deep
  • nx-libs
  • open-infrastructure-compute-tools
  • open-vm-tools
  • osinfo-db
  • osmpbf
  • pam-u2f
  • passwordsafe
  • piuparts
  • puppet-module-cinder
  • python-autobahn
  • python-django
  • raspi3-firmware
  • ruby-airbrussh
  • sdl-image1.2
  • sendmail
  • slirp4netns
  • warzone2100
  • webkit2gtk
  • xymon
  • yubikey-personalization
  • z3

These are only used by the installer, which has been rebuilt:

  • apt-setup
  • win32-loader

Details

Related Gerrit Patches:
operations/puppet : productionDrop apt-secure workaround

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2019, 8:46 AM

Mentioned in SAL (#wikimedia-operations) [2019-09-09T09:40:45Z] <moritzm> updated buster netinst image to 10.1 T232310

jcrespo added a subscriber: jcrespo.Sep 9 2019, 9:46 AM
jbond triaged this task as Normal priority.Sep 9 2019, 10:39 AM

Change 535152 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Drop apt-secure workaround

https://gerrit.wikimedia.org/r/535152

Change 535152 merged by Muehlenhoff:
[operations/puppet@production] Drop apt-secure workaround

https://gerrit.wikimedia.org/r/535152

MoritzMuehlenhoff closed this task as Resolved.Oct 2 2019, 2:17 PM
MoritzMuehlenhoff claimed this task.
MoritzMuehlenhoff updated the task description. (Show Details)

All done